org.apache.ignite.internal.sql.optimizer.affinity

## Enum PartitionParameterType

- java.lang.Object
- - java.lang.Enum<PartitionParameterType>
  - - org.apache.ignite.internal.sql.optimizer.affinity.PartitionParameterType

All Implemented Interfaces:
  Serializable, Comparable<PartitionParameterType>

    public enum PartitionParameterType
    extends Enum<PartitionParameterType>

Partition argument type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOOLEAN` Boolean.
`BYTE` Byte.
`DECIMAL` Decimal.
`DOUBLE` Double.
`FLOAT` Float.
`INT` Int.
`LONG` Long.
`SHORT` Short.
`STRING` String.
`UUID` UUID.

### Method Summary

All Methods Static Methods Concrete Methods
`static @Nullable PartitionParameterType` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static PartitionParameterType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PartitionParameterType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BOOLEAN

    public static final PartitionParameterType BOOLEAN

Boolean.

#### BYTE

    public static final PartitionParameterType BYTE

Byte.

#### SHORT

    public static final PartitionParameterType SHORT

Short.

#### INT

    public static final PartitionParameterType INT

Int.

#### LONG

    public static final PartitionParameterType LONG

Long.

#### FLOAT

    public static final PartitionParameterType FLOAT

Float.

#### DOUBLE

    public static final PartitionParameterType DOUBLE

Double.

#### STRING

    public static final PartitionParameterType STRING

String.

#### DECIMAL

    public static final PartitionParameterType DECIMAL

Decimal.

#### UUID

    public static final PartitionParameterType UUID

UUID.

### Method Detail

#### values

    public static PartitionParameterType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PartitionParameterType c : PartitionParameterType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PartitionParameterType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static @Nullable PartitionParameterType fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021